libnl: Metadata Match

libnl 3.12.0

Metadata Match
Routing Library (libnl-route) » Traffic Control » Classifiers » Extended Match

## Data Structures
struct | rtnl_meta_value
struct | meta_data

## Functions
struct rtnl_meta_value * | rtnl_meta_value_alloc_int (uint64_t value)
struct rtnl_meta_value * | rtnl_meta_value_alloc_var (void *data, size_t len)
struct rtnl_meta_value * | rtnl_meta_value_alloc_id (uint8_t type, uint16_t id, uint8_t shift, uint64_t mask)
void | rtnl_meta_value_put (struct rtnl_meta_value *mv)
void | rtnl_ematch_meta_set_lvalue (struct rtnl_ematch *e, struct rtnl_meta_value *v)
void | rtnl_ematch_meta_set_rvalue (struct rtnl_ematch *e, struct rtnl_meta_value *v)
void | rtnl_ematch_meta_set_operand (struct rtnl_ematch *e, uint8_t opnd)

## Detailed Description

## Function Documentation

## ◆ rtnl_meta_value_alloc_int()

struct rtnl_meta_value * rtnl_meta_value_alloc_int | ( | uint64_t | value | ) |

Definition at line 58 of file meta.c.

## ◆ rtnl_meta_value_alloc_var()

struct rtnl_meta_value * rtnl_meta_value_alloc_var | ( | void * | data,
|  | size_t | len )

Definition at line 63 of file meta.c.

## ◆ rtnl_meta_value_alloc_id()

struct rtnl_meta_value * rtnl_meta_value_alloc_id | ( | uint8_t | type,
|  | uint16_t | id,
|  | uint8_t | shift,
|  | uint64_t | mask )

Definition at line 68 of file meta.c.

## ◆ rtnl_meta_value_put()

void rtnl_meta_value_put | ( | struct rtnl_meta_value * | mv | ) |

Definition at line 86 of file meta.c.

## ◆ rtnl_ematch_meta_set_lvalue()

void rtnl_ematch_meta_set_lvalue | ( | struct rtnl_ematch * | e,
|  | struct rtnl_meta_value * | v )

Definition at line 91 of file meta.c.

## ◆ rtnl_ematch_meta_set_rvalue()

void rtnl_ematch_meta_set_rvalue | ( | struct rtnl_ematch * | e,
|  | struct rtnl_meta_value * | v )

Definition at line 97 of file meta.c.

## ◆ rtnl_ematch_meta_set_operand()

void rtnl_ematch_meta_set_operand | ( | struct rtnl_ematch * | e,
|  | uint8_t | opnd )

Definition at line 103 of file meta.c.